Armature en U Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar UShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar UShape.svg Armature en U Arch

Emplacement du menu
Arch → Rebar tools
Ateliers
Atelier architecture, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Armature en L Arch, Armature personnalisée


Description

L'outil Armature en U permet à l'utilisateur de créer un ensemble de barres d'armature en forme de U à l'intérieur d'un objet Arch Structure.

Cette commande fait partie de l' Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar UShape example.png

Deux jeux d'armatures de renforcement en forme de U à l'intérieur d'une Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet Arch Structure.svg Arch Structure crée précedemment.
  2. Ensuite, sélectionnez Arch Rebar UShape.svg UShape Rebar dans les outils pour barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Indiquez les entrées telles que face avant, face latérale droite, face latérale gauche, face inférieure, face supérieure, facteur d'arrondissement et diamètre de la barre.
  6. Sélectionnez le mode de distribution soit en montant ou en espacement.
  7. Si l'espacement est sélectionné, un utilisateur peut également opter pour custom spacing.
  8. Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  9. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  10. Cliquez sur Cancel pour quitter le panneau de tâches.

UShapeDialog.png

Panneau d'affichage des tâches de l'outil Armature en U Arch


Propriétés

  • DONNÉESOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature à la face gauche de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature de la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESRounding: Valeur d'arrondi à appliquer aux coins des barres, exprimée en fois le diamètre.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature en U peut être utilisé dans les macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeUShapeRebar(f_cover, b_cover, r_cover, l_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                        structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure donnée qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucune structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, b_cover, r_cover, l_cover et t_cover sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages avant, inférieur, droit, gauche et supérieur.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature.
  • amount_spacing_check s'il est mis à True, il créera autant de barres de ferraillage que celles données par amount_spacing_value; S'il est mis à False, il créera des barres de renforcement séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature, ou la valeur de la distance qui les sépare, en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre; il peut s'agir de "Bottom" (bas), "Top" (haut), "Right" (droite), or "Left" (gauche).

Exemple

import FreeCAD, Arch, UShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = UShapeRebar.makeUShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = UShapeRebar.makeUShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editUShapeRebar(Rebar, f_cover, b_cover, r_cover, l_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar est un objet UShapeRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeUShapeRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import UShapeRebar

UShapeRebar.editUShapeRebar(Rebar, 50, 50, 20, 20,
                            16, 20, 5, True, 5, "Top")

UShapeRebar.editUShapeRebar(Rebar2, 70, 50, 20, 20,
                            16, 70, 5, True, 5, "Top")